Skip to content
Get started

List tables in structured sheet

GET/v1/structured-sheets/{structured_sheet_id}/tables

List all tables extracted from the structured sheet. Only available when conversion status is 'completed'.

Path ParametersExpand Collapse
structured_sheet_id: string

The unique identifier of the structured sheet conversion.

Query ParametersExpand Collapse
after: optional string

A cursor for pagination. Use the last_id from a previous response to fetch the next page of results.

limit: optional number

Maximum number of tables to return per page.

formatint32
maximum100
minimum1
ReturnsExpand Collapse
data: array of TableResponse { id, created_at, name, 4 more }

List of tables.

id: string

The unique identifier for this table.

created_at: string

The timestamp when this table was created.

formatdate-time
name: string

Composite table name: {normalized_sheet_name}__{table_name}. Uses lowercase snake_case. Aggregation tables end with '__aggregations'. Two special metadata tables exist per structured sheet: '__deeptable_workbook_metadata' (workbook provenance info) and '__deeptable_table_overview' (summary of all tables). Example: 'staffing__head_count' or 'staffing__head_count__aggregations'.

maxLength255
object: "table"

The object type, which is always 'table'.

sheet_name: string

The original Excel sheet name this table came from.

maxLength100
structured_sheet_id: string

The ID of the structured sheet this table belongs to.

type: "relational" or "aggregation" or "tableless" or "metadata"

The type of table (relational, aggregation, tableless, or metadata).

One of the following:
"relational"
"aggregation"
"tableless"
"metadata"
has_more: boolean

Whether there are more results available after this page.

object: "list"

The object type, which is always 'list'.

first_id: optional string

Unique identifier for a table.

last_id: optional string

Unique identifier for a table.

List tables in structured sheet

curl https://api.deeptable.com/v1/structured-sheets/$STRUCTURED_SHEET_ID/tables \
    -H "Authorization: Bearer $DEEPTABLE_API_KEY"
{
  "data": [
    {
      "id": "tbl_01kfxgjd94fn9stqm45rqr2pnz",
      "created_at": "2026-01-15T10:35:00Z",
      "name": "staffing__head_count",
      "object": "table",
      "sheet_name": "Staffing",
      "structured_sheet_id": "ss_01kfxgjd94fn9stqm42nejb627",
      "type": "relational"
    },
    {
      "id": "tbl_02abc2def3ghjkmnpqrs4uvwxz",
      "created_at": "2026-01-15T10:35:00Z",
      "name": "staffing__head_count__aggregations",
      "object": "table",
      "sheet_name": "Staffing",
      "structured_sheet_id": "ss_01kfxgjd94fn9stqm42nejb627",
      "type": "aggregation"
    }
  ],
  "has_more": false,
  "object": "list",
  "first_id": "tbl_01kfxgjd94fn9stqm45rqr2pnz",
  "last_id": "tbl_02abc2def3ghjkmnpqrs4uvwxz"
}
Returns Examples
{
  "data": [
    {
      "id": "tbl_01kfxgjd94fn9stqm45rqr2pnz",
      "created_at": "2026-01-15T10:35:00Z",
      "name": "staffing__head_count",
      "object": "table",
      "sheet_name": "Staffing",
      "structured_sheet_id": "ss_01kfxgjd94fn9stqm42nejb627",
      "type": "relational"
    },
    {
      "id": "tbl_02abc2def3ghjkmnpqrs4uvwxz",
      "created_at": "2026-01-15T10:35:00Z",
      "name": "staffing__head_count__aggregations",
      "object": "table",
      "sheet_name": "Staffing",
      "structured_sheet_id": "ss_01kfxgjd94fn9stqm42nejb627",
      "type": "aggregation"
    }
  ],
  "has_more": false,
  "object": "list",
  "first_id": "tbl_01kfxgjd94fn9stqm45rqr2pnz",
  "last_id": "tbl_02abc2def3ghjkmnpqrs4uvwxz"
}